libcamera::V4L2ControlInfo Class Reference

Convenience specialisation of ControlInfo for V4L2 controls. More...

Inheritance diagram for libcamera::V4L2ControlInfo:

## Public Member Functions

| V4L2ControlInfo (const struct v4l2_query_ext_ctrl &ctrl)
| Construct a V4L2ControlInfo from a struct v4l2_query_ext_ctrl. More...
Public Member Functions inherited from libcamera::ControlInfo
| ControlInfo (const ControlValue &min=0, const ControlValue &max=0, const ControlValue &def=0)
| Construct a ControlInfo with minimum and maximum range parameters. More...
const ControlValue & | min () const
| Retrieve the minimum value of the control. More...
const ControlValue & | max () const
| Retrieve the maximum value of the control. More...
const ControlValue & | def () const
| Retrieve the default value of the control. More...
std::string | toString () const
| Provide a string representation of the ControlInfo.
bool | operator== (const ControlInfo &other) const
| Compare ControlInfo instances for equality. More...
bool | operator!= (const ControlInfo &other) const
| Compare ControlInfo instances for non equality. More...

## Detailed Description

Convenience specialisation of ControlInfo for V4L2 controls.

The V4L2ControlInfo class is a specialisation of the ControlInfo for V4L2 controls. It offers a convenience constructor from a struct v4l2_query_ext_ctrl, and is otherwise equivalent to the ControlInfo class.

## Constructor & Destructor Documentation

## V4L2ControlInfo()

libcamera::V4L2ControlInfo::V4L2ControlInfo | ( | const struct v4l2_query_ext_ctrl & | ctrl | ) |

Construct a V4L2ControlInfo from a struct v4l2_query_ext_ctrl.

Parameters

  [in] | ctrl | The struct v4l2_query_ext_ctrl as returned by the kernel

The documentation for this class was generated from the following files:

- include/libcamera/internal/v4l2_controls.h
- src/libcamera/v4l2_controls.cpp